; Nasm 2.x compatible raw graphic image include 
; auto-created by Danger Engine 

%define IMAGE_FDBANNER_BYTES  0x0326		; 806 bytes
%define IMAGE_FDBANNER_WIDTH  0x0050		; 80 pixels
%define IMAGE_FDBANNER_HEIGHT 0x000A		; 10 pixels

%macro IMAGE_FDBANNER_DATA 0
	db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x01,0x02,0x02,0x02,0x02
	db 0x02,0x02,0x02,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01
	db 0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01
	db 0x01,0x01,0x02,0x02,0x02,0x02,0x02,0x02,0x01,0x01,0x01,0x01,0x01
	db 0x01,0x02,0x02,0x02,0x02,0x02,0x02,0x01,0x01,0x01,0x01,0x01,0x02
	db 0x02,0x02,0x02,0x02,0x02,0x01,0x01,0x01,0x00,0x00,0x00,0x00,0x00
	db 0x00,0x00                                                        ; 0
	db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x01,0x02,0x02,0x01,0x01
	db 0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01
	db 0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01
	db 0x01,0x01,0x02,0x02,0x01,0x01,0x01,0x02,0x02,0x01,0x01,0x01,0x01
	db 0x02,0x02,0x01,0x01,0x01,0x01,0x02,0x02,0x01,0x01,0x01,0x02,0x02
	db 0x01,0x01,0x01,0x01,0x02,0x02,0x01,0x01,0x00,0x00,0x00,0x00,0x00
	db 0x00,0x00                                                        ; 1
	db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x01,0x02,0x02,0x01,0x01
	db 0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01
	db 0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01
	db 0x01,0x01,0x02,0x02,0x01,0x01,0x01,0x01,0x02,0x02,0x01,0x01,0x02
	db 0x02,0x01,0x01,0x01,0x01,0x01,0x01,0x02,0x02,0x01,0x02,0x02,0x01
	db 0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x00,0x00,0x00,0x00,0x00
	db 0x00,0x00                                                        ; 2
	db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x01,0x02,0x02,0x01,0x01
	db 0x01,0x01,0x01,0x01,0x02,0x01,0x02,0x02,0x02,0x02,0x01,0x01,0x01
	db 0x02,0x02,0x02,0x02,0x02,0x01,0x01,0x01,0x02,0x02,0x02,0x02,0x02
	db 0x01,0x01,0x02,0x02,0x01,0x01,0x01,0x01,0x01,0x02,0x02,0x01,0x02
	db 0x02,0x01,0x01,0x01,0x01,0x01,0x01,0x02,0x02,0x01,0x01,0x02,0x02
	db 0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x00,0x00,0x00,0x00,0x00
	db 0x00,0x00                                                        ; 3
	db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x01,0x02,0x02,0x01,0x01
	db 0x01,0x01,0x01,0x01,0x02,0x02,0x02,0x01,0x01,0x02,0x02,0x01,0x02
	db 0x02,0x01,0x01,0x01,0x02,0x02,0x01,0x02,0x02,0x01,0x01,0x01,0x02
	db 0x02,0x01,0x02,0x02,0x01,0x01,0x01,0x01,0x01,0x02,0x02,0x01,0x02
	db 0x02,0x01,0x01,0x01,0x01,0x01,0x01,0x02,0x02,0x01,0x01,0x01,0x02
	db 0x02,0x02,0x02,0x02,0x02,0x01,0x01,0x01,0x00,0x00,0x00,0x00,0x00
	db 0x00,0x00                                                        ; 4
	db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x01,0x02,0x02,0x02,0x02
	db 0x02,0x02,0x01,0x01,0x02,0x02,0x01,0x01,0x01,0x01,0x01,0x01,0x02
	db 0x02,0x01,0x01,0x01,0x02,0x02,0x01,0x02,0x02,0x01,0x01,0x01,0x02
	db 0x02,0x01,0x02,0x02,0x01,0x01,0x01,0x01,0x01,0x02,0x02,0x01,0x02
	db 0x02,0x01,0x01,0x01,0x01,0x01,0x01,0x02,0x02,0x01,0x01,0x01,0x01
	db 0x01,0x01,0x01,0x01,0x02,0x02,0x01,0x01,0x00,0x00,0x00,0x00,0x00
	db 0x00,0x00                                                        ; 5
	db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x01,0x02,0x02,0x01,0x01
	db 0x01,0x01,0x01,0x01,0x02,0x02,0x01,0x01,0x01,0x01,0x01,0x01,0x02
	db 0x02,0x02,0x02,0x02,0x02,0x01,0x01,0x02,0x02,0x02,0x02,0x02,0x02
	db 0x01,0x01,0x02,0x02,0x01,0x01,0x01,0x01,0x01,0x02,0x02,0x01,0x02
	db 0x02,0x01,0x01,0x01,0x01,0x01,0x01,0x02,0x02,0x01,0x01,0x01,0x01
	db 0x01,0x01,0x01,0x01,0x01,0x02,0x02,0x01,0x00,0x00,0x00,0x00,0x00
	db 0x00,0x00                                                        ; 6
	db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x01,0x02,0x02,0x01,0x01
	db 0x01,0x01,0x01,0x01,0x02,0x02,0x01,0x01,0x01,0x01,0x01,0x01,0x02
	db 0x02,0x01,0x01,0x01,0x01,0x01,0x01,0x02,0x02,0x01,0x01,0x01,0x01
	db 0x01,0x01,0x02,0x02,0x01,0x01,0x01,0x01,0x02,0x02,0x01,0x01,0x02
	db 0x02,0x01,0x01,0x01,0x01,0x01,0x01,0x02,0x02,0x01,0x01,0x01,0x01
	db 0x01,0x01,0x01,0x01,0x01,0x02,0x02,0x01,0x00,0x00,0x00,0x00,0x00
	db 0x00,0x00                                                        ; 7
	db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x01,0x02,0x02,0x01,0x01
	db 0x01,0x01,0x01,0x01,0x02,0x02,0x01,0x01,0x01,0x01,0x01,0x01,0x02
	db 0x02,0x01,0x01,0x01,0x02,0x02,0x01,0x02,0x02,0x01,0x01,0x01,0x02
	db 0x02,0x01,0x02,0x02,0x01,0x01,0x01,0x02,0x02,0x01,0x01,0x01,0x01
	db 0x02,0x02,0x01,0x01,0x01,0x01,0x02,0x02,0x01,0x01,0x01,0x02,0x02
	db 0x01,0x01,0x01,0x01,0x02,0x02,0x01,0x01,0x00,0x00,0x00,0x00,0x00
	db 0x00,0x00                                                        ; 8
	db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x01,0x02,0x02,0x01,0x01
	db 0x01,0x01,0x01,0x01,0x02,0x02,0x01,0x01,0x01,0x01,0x01,0x01,0x01
	db 0x02,0x02,0x02,0x02,0x02,0x01,0x01,0x01,0x02,0x02,0x02,0x02,0x02
	db 0x01,0x01,0x02,0x02,0x02,0x02,0x02,0x02,0x01,0x01,0x01,0x01,0x01
	db 0x01,0x02,0x02,0x02,0x02,0x02,0x02,0x01,0x01,0x01,0x01,0x01,0x02
	db 0x02,0x02,0x02,0x02,0x02,0x01,0x01,0x01,0x00,0x00,0x00,0x00,0x00
	db 0x00,0x00                                                        ; 9
%endmacro ; IMAGE_FDBANNER_DATA

%macro IMAGE_FDBANNER_RGB 0
; RGB Palette Values 0-255. Most VGA takes 0-63. So, divide them by 4. Or,
; simply shift them right by 2.
	db 0x00,0x00,0x00, 0x00,0x00,0xA8, 0x00,0xA8,0x00, 0x00,0xA8,0xA8	; 0
	db 0xA8,0x00,0x00, 0xA8,0x00,0xA8, 0xA8,0x54,0x00, 0xA8,0xA8,0xA8	; 4
	db 0x54,0x54,0x54, 0x54,0x54,0xFC, 0x54,0xFC,0x54, 0x54,0xFC,0xFC	; 8
	db 0xFC,0x54,0x54, 0xFC,0x54,0xFC, 0xFC,0xFC,0x54, 0xFC,0xFC,0xFC	; 12
	db 0x00,0x00,0x00, 0x14,0x14,0x14, 0x20,0x20,0x20, 0x2C,0x2C,0x2C	; 16
	db 0x38,0x38,0x38, 0x44,0x44,0x44, 0x50,0x50,0x50, 0x60,0x60,0x60	; 20
	db 0x70,0x70,0x70, 0x80,0x80,0x80, 0x90,0x90,0x90, 0xA0,0xA0,0xA0	; 24
	db 0xB4,0xB4,0xB4, 0xC8,0xC8,0xC8, 0xE0,0xE0,0xE0, 0xFC,0xFC,0xFC	; 28
	db 0x00,0x00,0xFC, 0x40,0x00,0xFC, 0x7C,0x00,0xFC, 0xBC,0x00,0xFC	; 32
	db 0xFC,0x00,0xFC, 0xFC,0x00,0xBC, 0xFC,0x00,0x7C, 0xFC,0x00,0x40	; 36
	db 0xFC,0x00,0x00, 0xFC,0x40,0x00, 0xFC,0x7C,0x00, 0xFC,0xBC,0x00	; 40
	db 0xFC,0xFC,0x00, 0xBC,0xFC,0x00, 0x7C,0xFC,0x00, 0x40,0xFC,0x00	; 44
	db 0x00,0xFC,0x00, 0x00,0xFC,0x40, 0x00,0xFC,0x7C, 0x00,0xFC,0xBC	; 48
	db 0x00,0xFC,0xFC, 0x00,0xBC,0xFC, 0x00,0x7C,0xFC, 0x00,0x40,0xFC	; 52
	db 0x7C,0x7C,0xFC, 0x9C,0x7C,0xFC, 0xBC,0x7C,0xFC, 0xDC,0x7C,0xFC	; 56
	db 0xFC,0x7C,0xFC, 0xFC,0x7C,0xDC, 0xFC,0x7C,0xBC, 0xFC,0x7C,0x9C	; 60
	db 0xFC,0x7C,0x7C, 0xFC,0x9C,0x7C, 0xFC,0xBC,0x7C, 0xFC,0xDC,0x7C	; 64
	db 0xFC,0xFC,0x7C, 0xDC,0xFC,0x7C, 0xBC,0xFC,0x7C, 0x9C,0xFC,0x7C	; 68
	db 0x7C,0xFC,0x7C, 0x7C,0xFC,0x9C, 0x7C,0xFC,0xBC, 0x7C,0xFC,0xDC	; 72
	db 0x7C,0xFC,0xFC, 0x7C,0xDC,0xFC, 0x7C,0xBC,0xFC, 0x7C,0x9C,0xFC	; 76
	db 0xB4,0xB4,0xFC, 0xC4,0xB4,0xFC, 0xD8,0xB4,0xFC, 0xE8,0xB4,0xFC	; 80
	db 0xFC,0xB4,0xFC, 0xFC,0xB4,0xE8, 0xFC,0xB4,0xD8, 0xFC,0xB4,0xC4	; 84
	db 0xFC,0xB4,0xB4, 0xFC,0xC4,0xB4, 0xFC,0xD8,0xB4, 0xFC,0xE8,0xB4	; 88
	db 0xFC,0xFC,0xB4, 0xE8,0xFC,0xB4, 0xD8,0xFC,0xB4, 0xC4,0xFC,0xB4	; 92
	db 0xB4,0xFC,0xB4, 0xB4,0xFC,0xC4, 0xB4,0xFC,0xD8, 0xB4,0xFC,0xE8	; 96
	db 0xB4,0xFC,0xFC, 0xB4,0xE8,0xFC, 0xB4,0xD8,0xFC, 0xB4,0xC4,0xFC	; 100
	db 0x00,0x00,0x70, 0x1C,0x00,0x70, 0x38,0x00,0x70, 0x54,0x00,0x70	; 104
	db 0x70,0x00,0x70, 0x70,0x00,0x54, 0x70,0x00,0x38, 0x70,0x00,0x1C	; 108
	db 0x70,0x00,0x00, 0x70,0x1C,0x00, 0x70,0x38,0x00, 0x70,0x54,0x00	; 112
	db 0x70,0x70,0x00, 0x54,0x70,0x00, 0x38,0x70,0x00, 0x1C,0x70,0x00	; 116
	db 0x00,0x70,0x00, 0x00,0x70,0x1C, 0x00,0x70,0x38, 0x00,0x70,0x54	; 120
	db 0x00,0x70,0x70, 0x00,0x54,0x70, 0x00,0x38,0x70, 0x00,0x1C,0x70	; 124
	db 0x38,0x38,0x70, 0x44,0x38,0x70, 0x54,0x38,0x70, 0x60,0x38,0x70	; 128
	db 0x70,0x38,0x70, 0x70,0x38,0x60, 0x70,0x38,0x54, 0x70,0x38,0x44	; 132
	db 0x70,0x38,0x38, 0x70,0x44,0x38, 0x70,0x54,0x38, 0x70,0x60,0x38	; 136
	db 0x70,0x70,0x38, 0x60,0x70,0x38, 0x54,0x70,0x38, 0x44,0x70,0x38	; 140
	db 0x38,0x70,0x38, 0x38,0x70,0x44, 0x38,0x70,0x54, 0x38,0x70,0x60	; 144
	db 0x38,0x70,0x70, 0x38,0x60,0x70, 0x38,0x54,0x70, 0x38,0x44,0x70	; 148
	db 0x50,0x50,0x70, 0x58,0x50,0x70, 0x60,0x50,0x70, 0x68,0x50,0x70	; 152
	db 0x70,0x50,0x70, 0x70,0x50,0x68, 0x70,0x50,0x60, 0x70,0x50,0x58	; 156
	db 0x70,0x50,0x50, 0x70,0x58,0x50, 0x70,0x60,0x50, 0x70,0x68,0x50	; 160
	db 0x70,0x70,0x50, 0x68,0x70,0x50, 0x60,0x70,0x50, 0x58,0x70,0x50	; 164
	db 0x50,0x70,0x50, 0x50,0x70,0x58, 0x50,0x70,0x60, 0x50,0x70,0x68	; 168
	db 0x50,0x70,0x70, 0x50,0x68,0x70, 0x50,0x60,0x70, 0x50,0x58,0x70	; 172
	db 0x00,0x00,0x40, 0x10,0x00,0x40, 0x20,0x00,0x40, 0x30,0x00,0x40	; 176
	db 0x40,0x00,0x40, 0x40,0x00,0x30, 0x40,0x00,0x20, 0x40,0x00,0x10	; 180
	db 0x40,0x00,0x00, 0x40,0x10,0x00, 0x40,0x20,0x00, 0x40,0x30,0x00	; 184
	db 0x40,0x40,0x00, 0x30,0x40,0x00, 0x20,0x40,0x00, 0x10,0x40,0x00	; 188
	db 0x00,0x40,0x00, 0x00,0x40,0x10, 0x00,0x40,0x20, 0x00,0x40,0x30	; 192
	db 0x00,0x40,0x40, 0x00,0x30,0x40, 0x00,0x20,0x40, 0x00,0x10,0x40	; 196
	db 0x20,0x20,0x40, 0x28,0x20,0x40, 0x30,0x20,0x40, 0x38,0x20,0x40	; 200
	db 0x40,0x20,0x40, 0x40,0x20,0x38, 0x40,0x20,0x30, 0x40,0x20,0x28	; 204
	db 0x40,0x20,0x20, 0x40,0x28,0x20, 0x40,0x30,0x20, 0x40,0x38,0x20	; 208
	db 0x40,0x40,0x20, 0x38,0x40,0x20, 0x30,0x40,0x20, 0x28,0x40,0x20	; 212
	db 0x20,0x40,0x20, 0x20,0x40,0x28, 0x20,0x40,0x30, 0x20,0x40,0x38	; 216
	db 0x20,0x40,0x40, 0x20,0x38,0x40, 0x20,0x30,0x40, 0x20,0x28,0x40	; 220
	db 0x2C,0x2C,0x40, 0x30,0x2C,0x40, 0x34,0x2C,0x40, 0x3C,0x2C,0x40	; 224
	db 0x40,0x2C,0x40, 0x40,0x2C,0x3C, 0x40,0x2C,0x34, 0x40,0x2C,0x30	; 228
	db 0x40,0x2C,0x2C, 0x40,0x30,0x2C, 0x40,0x34,0x2C, 0x40,0x3C,0x2C	; 232
	db 0x40,0x40,0x2C, 0x3C,0x40,0x2C, 0x34,0x40,0x2C, 0x30,0x40,0x2C	; 236
	db 0x2C,0x40,0x2C, 0x2C,0x40,0x30, 0x2C,0x40,0x34, 0x2C,0x40,0x3C	; 240
	db 0x2C,0x40,0x40, 0x2C,0x3C,0x40, 0x2C,0x34,0x40, 0x3C,0x00,0x00	; 244
	db 0x7C,0x00,0x00, 0xBC,0x00,0x00, 0x00,0x3C,0x00, 0x00,0x7C,0x00	; 248
	db 0x00,0xBC,0x00, 0x00,0x00,0x3C, 0x00,0x00,0x7C, 0x00,0x00,0xBC	; 252
%endmacro ; IMAGE_FDBANNER_RGB

%macro IMAGE_FDBANNER_DRE 0
; DRE encoded version of the image. DRE encoding is an extremely simple
; type of run line encoding. The first byte is the number of times. The 
; second byte is the data to repeat. Terminated with a 0. So 0201030200
; would expand to 01 01 02 02 02.
	db 0x07,0x00,0x02,0x01,0x07,0x02,0x19,0x01,0x06,0x02,0x06,0x01,0x06
	db 0x02,0x05,0x01,0x06,0x02,0x03,0x01,0x0E,0x00,0x02,0x01,0x02,0x02
	db 0x1E,0x01,0x02,0x02,0x03,0x01,0x02,0x02,0x04,0x01,0x02,0x02,0x04
	db 0x01,0x02,0x02,0x03,0x01,0x02,0x02,0x04,0x01,0x02,0x02,0x02,0x01
	db 0x0E,0x00,0x02,0x01,0x02,0x02,0x1E,0x01,0x02,0x02,0x04,0x01,0x02
	db 0x02,0x02,0x01,0x02,0x02,0x06,0x01,0x02,0x02,0x01,0x01,0x02,0x02
	db 0x09,0x01,0x0E,0x00,0x02,0x01,0x02,0x02,0x06,0x01,0x01,0x02,0x01
	db 0x01,0x04,0x02,0x03,0x01,0x05,0x02,0x03,0x01,0x05,0x02,0x02,0x01
	db 0x02,0x02,0x05,0x01,0x02,0x02,0x01,0x01,0x02,0x02,0x06,0x01,0x02
	db 0x02,0x02,0x01,0x02,0x02,0x08,0x01,0x0E,0x00,0x02,0x01,0x02,0x02
	db 0x06,0x01,0x03,0x02,0x02,0x01,0x02,0x02,0x01,0x01,0x02,0x02,0x03
	db 0x01,0x02,0x02,0x01,0x01,0x02,0x02,0x03,0x01,0x02,0x02,0x01,0x01
	db 0x02,0x02,0x05,0x01,0x02,0x02,0x01,0x01,0x02,0x02,0x06,0x01,0x02
	db 0x02,0x03,0x01,0x06,0x02,0x03,0x01,0x0E,0x00,0x02,0x01,0x06,0x02
	db 0x02,0x01,0x02,0x02,0x06,0x01,0x02,0x02,0x03,0x01,0x02,0x02,0x01
	db 0x01,0x02,0x02,0x03,0x01,0x02,0x02,0x01,0x01,0x02,0x02,0x05,0x01
	db 0x02,0x02,0x01,0x01,0x02,0x02,0x06,0x01,0x02,0x02,0x08,0x01,0x02
	db 0x02,0x02,0x01,0x0E,0x00,0x02,0x01,0x02,0x02,0x06,0x01,0x02,0x02
	db 0x06,0x01,0x06,0x02,0x02,0x01,0x06,0x02,0x02,0x01,0x02,0x02,0x05
	db 0x01,0x02,0x02,0x01,0x01,0x02,0x02,0x06,0x01,0x02,0x02,0x09,0x01
	db 0x02,0x02,0x01,0x01,0x0E,0x00,0x02,0x01,0x02,0x02,0x06,0x01,0x02
	db 0x02,0x06,0x01,0x02,0x02,0x06,0x01,0x02,0x02,0x06,0x01,0x02,0x02
	db 0x04,0x01,0x02,0x02,0x02,0x01,0x02,0x02,0x06,0x01,0x02,0x02,0x09
	db 0x01,0x02,0x02,0x01,0x01,0x0E,0x00,0x02,0x01,0x02,0x02,0x06,0x01
	db 0x02,0x02,0x06,0x01,0x02,0x02,0x03,0x01,0x02,0x02,0x01,0x01,0x02
	db 0x02,0x03,0x01,0x02,0x02,0x01,0x01,0x02,0x02,0x03,0x01,0x02,0x02
	db 0x04,0x01,0x02,0x02,0x04,0x01,0x02,0x02,0x03,0x01,0x02,0x02,0x04
	db 0x01,0x02,0x02,0x02,0x01,0x0E,0x00,0x02,0x01,0x02,0x02,0x06,0x01
	db 0x02,0x02,0x07,0x01,0x05,0x02,0x03,0x01,0x05,0x02,0x02,0x01,0x06
	db 0x02,0x06,0x01,0x06,0x02,0x05,0x01,0x06,0x02,0x03,0x01,0x07,0x00
	db 0x00                                                             
%endmacro ; IMAGE_FDBANNER_DRE391 bytes

